Skip to main content
POST
/
payout_batches
/
{batch_id}
/
remove_items
Remove payouts from a batch
curl --request POST \
  --url https://api.withacclaim.com/v1/payout_batches/{batch_id}/remove_items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payout_ids": [
    "<string>"
  ]
}
'
{
  "id": "pob_r8PxTnQ5Dv",
  "reference": "<string>",
  "description": "<string>",
  "processed_at": "2023-11-07T05:31:56Z",
  "status": "ReadyToProcess",
  "total_items": 100,
  "valid_items": 100,
  "metadata": {},
  "created_at": "2025-10-08T18:20:31Z",
  "updated_at": "2025-10-08T18:25:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

batch_id
string
required

ID of the payout batch.

Body

application/json
payout_ids
string[]
required

Public IDs of payouts to add or remove from the batch.

Required array length: 1 - 500 elements

Response

The updated payout batch.

id
string

Unique identifier for the payout batch.

Example:

"pob_r8PxTnQ5Dv"

reference
string | null

Optional client reference for reconciliation.

Maximum string length: 100
description
string | null

Optional human-readable description.

Maximum string length: 255
processed_at
string<date-time> | null

Timestamp when the batch was processed, if applicable.

status
enum<string>

Current lifecycle status of the batch.

Available options:
Draft,
ReadyToProcess,
Processing,
Completed,
PartialCompleted,
Failed,
Canceled
Example:

"ReadyToProcess"

total_items
integer

Total number of payouts in the batch.

Required range: x >= 0
Example:

100

valid_items
integer

Number of payouts in the batch that are valid for processing.

Required range: x >= 0
Example:

100

metadata
object

Optional key-value metadata attached to the batch.

created_at
string<date-time>

When the batch was created.

Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>

When the batch was last updated.

Example:

"2025-10-08T18:25:00Z"

Last modified on April 20, 2026